#!/bin/sh
#
# Licensed Materials - Property of IBM
# 5724-L62
#
# (C) Copyright IBM Corp. 2005  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# All Rights Reserved
#

# Set environment variables.
	
if [ -z "$JAVA_HOME" ]
then
        echo "JAVA_HOME is not set."
        echo "Set JAVA_HOME to the directory of your local JDK to avoid this message."
        echo "Aborting..."
	exit 50
elif [ -z "$DATACOLLECTOR_HOME" ]
then
        echo "DATACOLLECTOR_HOME is not set."
        echo "Set DATACOLLECTOR_HOME to the directory where DC is installed."
        echo "Aborting..."
	exit 51
elif [ "$1" = "" ]
then
      echo "There has to be either one or two arguments."  
      echo "If there is only one argument, then the argument must be a [-genkey]."
      echo "If there are two arguments, then the following arguments are valid:"
      echo "     [-encrypt <input>] [-encryptPropertyFile <file>]"  
      exit 1
else
    if [ "$3" != "" ]
    then
        echo "There has to be either one or two arguments."  
        echo "If there is only one argument, then the argument must be a [-genkey]."
        echo "If there are two arguments, then the following arguments are valid:"
        echo "     [-encrypt <input>] [-encryptPropertyFile <file>]"  
	exit 1
    fi

fi


CLASSPATH=$CLASSPATH:$DATACOLLECTOR_HOME/toolkit/lib/ext/tk_utils.jar

$JAVA_HOME/bin/java -classpath $CLASSPATH com.ibm.tivoli.itcam.toolkit.util.crypto.AMCryptoManager ${1} "${2}"


